Search

Search Reddit for posts

1 creditper request
GET
/v1/reddit/search

🤖 Why Code When AI Can Do It For You?

Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.

curl "https://api.scrapecreators.com/v1/reddit/search" \
  -H "x-api-key: "
{
  "success": true,
  "posts": [
    {
      "approved_at_utc": null,
      "subreddit": "webscraping",
      "selftext": "1. Don't try putting scraping tools in Lambda.",
      "author_fullname": "t2_b88jvxe1",
      "saved": false,
      "mod_reason_title": null,
      "gilded": 0,
      "clicked": false,
      "title": "After 2 months learning scraping, I'm sharing what I learned!",
      "link_flair_richtext": [],
      "subreddit_name_prefixed": "r/webscraping",
      "hidden": false,
      "pwls": 6,
      "link_flair_css_class": null,
      "downs": 0,
      "thumbnail_height": null,
      "top_awarded_type": null,
      "hide_score": false,
      "name": "t3_1flgwup",
      "quarantine": false,
      "link_flair_text_color": "dark",
      "upvote_ratio": 0.99,
      "author_flair_background_color": null,
      "subreddit_type": "public",
      "ups": 361,
      "total_awards_received": 0,
      "media_embed": {},
      "thumbnail_width": null,
      "author_flair_template_id": null,
      "is_original_content": false,
      "user_reports": [],
      "secure_media": null,
      "is_reddit_media_domain": false,
      "is_meta": false,
      "category": null,
      "secure_media_embed": {},
      "link_flair_text": null,
      "can_mod_post": false,
      "score": 361,
      "approved_by": null,
      "is_created_from_ads_ui": false,
      "author_premium": false,
      "thumbnail": "self",
      "edited": 1726964065,
      "author_flair_css_class": null,
      "author_flair_richtext": [],
      "gildings": {},
      "content_categories": null,
      "is_self": true,
      "mod_note": null,
      "created": 1726851591,
      "link_flair_type": "text",
      "wls": 6,
      "removed_by_category": null,
      "banned_by": null,
      "author_flair_type": "text",
      "domain": "self.webscraping",
      "allow_live_comments": false,
      "selftext_html": "<!-- SC_OFF --><div class="md"><ol>
<li>Don't try putting scraping tools in Lambda.",
      "likes": null,
      "suggested_sort": null,
      "banned_at_utc": null,
      "view_count": null,
      "archived": true,
      "no_follow": false,
      "is_crosspostable": false,
      "pinned": false,
      "over_18": false,
      "all_awardings": [],
      "awarders": [],
      "media_only": false,
      "can_gild": false,
      "spoiler": false,
      "locked": false,
      "author_flair_text": null,
      "treatment_tags": [],
      "visited": false,
      "removed_by": null,
      "num_reports": null,
      "distinguished": null,
      "subreddit_id": "t5_318ly",
      "author_is_blocked": false,
      "mod_reason_by": null,
      "removal_reason": null,
      "link_flair_background_color": "",
      "id": "1flgwup",
      "is_robot_indexable": true,
      "report_reasons": null,
      "author": "Sea_Cardiologist_212",
      "discussion_type": null,
      "num_comments": 102,
      "send_replies": true,
      "contest_mode": false,
      "mod_reports": [],
      "author_patreon_flair": false,
      "author_flair_text_color": null,
      "permalink": "/r/webscraping/comments/1flgwup/after_2_months_learning_scraping_im_sharing_what/",
      "stickied": false,
      "url": "https://www.reddit.com/r/webscraping/comments/1flgwup/after_2_months_learning_scraping_im_sharing_what/",
      "subreddit_subscribers": 58838,
      "created_utc": 1726851591,
      "num_crossposts": 0,
      "media": null,
      "is_video": false,
      "created_at_iso": "2024-09-20T16:59:51.000Z"
    }
  ],
  "after": "t3_1ihh437"
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

query
string
required

Search query

sort
string

Sort by

Example:
relevance
Available options:
relevance,
new,
top,
comment_count
timeframe
string

Timeframe

Example:
all
Available options:
all,
day,
week,
month,
year
after
string

Used to paginate to next page

Example:
t3_1i8z28z
trim
boolean

Set to true for a trimmed down version of the response

Example:
false